#include <asf.h>

int main (void)
{
#if SAMD21 || SAMR21
	/* Initialize basic board support features.
	 * - Initialize system clock sources according to device-specific
	 *   configuration parameters supplied in a conf_clocks.h file.
	 * - Set up GPIO and board-specific features using additional configuration
	 *   parameters, if any, specified in a conf_board.h file.
	 */
	system_init();
#else
	/* Initialize basic board support features.
	 * - Initialize system clock sources according to device-specific
	 *   configuration parameters supplied in a conf_clock.h file.
	 * - Set up GPIO and board-specific features using additional configuration
	 *   parameters, if any, specified in a conf_board.h file.
	 */
	sysclk_init();
	board_init();
#endif

	irq_initialize_vectors();
	cpu_irq_enable();
	stdio_usb_init();

	// Get and echo characters forever.

	uint8_t b='/';
	uint8_t m='U';
	uint8_t id0='0';
	uint8_t id1='0';
	uint8_t id2='2';
	uint8_t f='1';
	uint8_t pf='1';
	uint8_t d1='2';
	uint8_t d2='5';
	uint8_t d3='5';

	while (true) {
	
		/*Break*/
		
		printf("%c",b);
		
		/*Mode*/
		
		printf("%c",m);
		

		/*ID*/
		 
		printf("%c",id0);
		printf("%c",id1);
		printf("%c",id2	);
		
		/*Numero carte fille*/
		
		printf("%c",f);
		
		/*Petite fille*/
		
		printf("%c",pf);
		
		/*Data*/
		
		printf("%c",d1);
		printf("%c",d2);
		printf("%c",d3);

	}
}
